Partially update a flow - SuperAI Flows

Partially update a flow

cURL

curl --request PATCH \
  --url https://flows.super.ai/api/flows/{flow_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "description": "<string>",
  "display_name": "<string>",
  "settings": {
    "reexecute_on_update": false,
    "ttl": {}
  },
  "status": "<string>",
  "visibility": "<unknown>"
}
'```

### Python

```python
import requests

url = "https://flows.super.ai/api/flows/{flow_id}"

payload = {
    "description": "<string>",
    "display_name": "<string>",
    "settings": {
        "reexecute_on_update": False,
        "ttl": {}
    },
    "status": "<string>",
    "visibility": "<unknown>"
}
headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'PATCH',
  headers: {
    'X-API-Key': '<api-key>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    description: '<string>',
    display_name: '<string>',
    settings: {reexecute_on_update: false, ttl: {}},
    status: '<string>',
    visibility: '<unknown>'
  })
};

fetch('https://flows.super.ai/api/flows/{flow_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

<?php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://flows.super.ai/api/flows/{flow_id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PATCH",
  CURLOPT_POSTFIELDS => json_encode([
    'description' => '<string>',
    'display_name' => '<string>',
    'settings' => [
        'reexecute_on_update' => false,
        'ttl' => []
    ],
    'status' => '<string>',
    'visibility' => '<unknown>'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://flows.super.ai/api/flows/{flow_id}"

payload := strings.NewReader("{\n  \"description\": \"<string>\",\n  \"display_name\": \"<string>\",\n  \"settings\": {\n    \"reexecute_on_update\": false,\n    \"ttl\": {}\n  },\n  \"status\": \"<string>\",\n  \"visibility\": \"<unknown>\"}\n")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
    req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Validation Errors

{
  "input": "<unknown>",
  "loc": [
    123
  ],
  "msg": "<string>",
  "type": "<string>",
  "ctx": {},
  "url": "<string>"
}

Example Response

{
  "created_at": "2023-11-07T05:31:56Z",
  "definition": {},
  "display_name": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_latest": true,
  "modified_by": "<string>",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "version": 2,
  "description": "<string>",
  "flow_executions_count": 0,
  "settings": {
    "reexecute_on_update": false,
    "ttl": {}
  },
  "task_names": ["<string>"],
  "validation_errors": []
}